Bug 527220

Summary: Upgrade fail with f10
Product: [Fedora] Fedora Reporter: Alexey Kuznetsov <axet>
Component: preupgradeAssignee: Seth Vidal <skvidal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 04:44:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
f10-f11 none

Description Alexey Kuznetsov 2009-10-05 09:01:56 EDT
Created attachment 363664 [details]

I unable to upgrade my f10 box to f11 and rawhide versions. preupgrade drop me to shell with an error.
Comment 1 Alexey Kuznetsov 2009-10-05 09:02:10 EDT
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 305, in <module>
  File "/usr/share/preupgrade/preupgrade-cli.py", line 270, in main
    self.generate_repo(cachedir, comps) # TODO: callback?
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 651, in generate_repo
  File "/usr/lib/python2.5/site-packages/preupgrade/misc.py", line 131, in generate_repodata
    generate_repodata(dir, comps, callback)
  File "/usr/lib/python2.5/site-packages/preupgrade/misc.py", line 148, in generate_repodata_f9
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 829, in doRepoMetadata
    rp.getPrimary(complete_path, csum)
  File "/usr/lib/python2.5/site-packages/sqlitecachec.py", line 45, in getPrimary
TypeError: Parsing primary.xml error: attributes construct error
Comment 2 seth vidal 2009-10-05 09:33:16 EDT
what ver of yum do you have installed?
Comment 3 Alexey Kuznetsov 2009-10-05 09:46:40 EDT
f10 with last updates. yum-3.2.23-3.fc10.noarch
Comment 4 seth vidal 2009-10-05 09:51:12 EDT
pretty sure the above error was from an f10>rawhide move and I know that bug is fixed in yum in f11 and in rawhide.
Comment 5 Alexey Kuznetsov 2009-10-05 09:57:12 EDT
same erorr to move to f11. i tried to move to f11 first, then to rawhide. but booth ways fail (direct from f10 to raw and f10 to f11)
Comment 6 Alexey Kuznetsov 2009-10-05 10:10:41 EDT
Created attachment 363676 [details]
Comment 7 Alexey Kuznetsov 2009-10-05 10:28:42 EDT
hmm, after removing all fc12 package from yum cache directory preupgrade finish it work.
Comment 8 seth vidal 2009-10-05 10:33:48 EDT
that makes sense. The packages which cause that particular issue were not introduced until f12.

If you can do an f10>f11 update

then f11->rawhide/f12.

if you have the latest yum for F11 installed it can cope with the pkgs in F12 fine.
Comment 9 Bug Zapper 2009-11-18 07:16:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-12-18 04:44:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.